language: go
sudo: false
go:
- 1.11
- 1.10.x
- 1.9.x

install:
- go get -t ./...
- go get github.com/mattn/goveralls

script:
- go fmt ./...
- go vet ./...
- go test -v
- go test -v --race
- go test -v -covermode=count -coverprofile=coverage.out
- $HOME/gopath/bin/goveralls -coverprofile coverage.out -service travis-ci

deploy:
- provider: script
  skip_cleanup: true
  script: curl -sL http://git.io/goreleaser | bash
  on:
    tags: true
    condition: $TRAVIS_OS_NAME = linux